commit:     08d667216a3772a88ddacc9b6f24670d5f82a5c6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 29 22:00:47 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 29 22:04:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08d66721

dev-python/PyPDF2: Switch to PEP 517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild | 33 +++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild 
b/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
new file mode 100644
index 000000000000..f58c46912f0d
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="https://pypi.org/project/PyPDF2/ https://github.com/mstamy2/PyPDF2";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="examples"
+
+PATCHES=( "${FILESDIR}/${P}-py3-tests.patch" )
+
+python_test() {
+       "${EPYTHON}" -m unittest Tests.tests || die "Tests failed under 
${EPYTHON}"
+}
+
+python_install_all() {
+       if use examples; then
+               docinto examples
+               dodoc -r Sample_Code/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to